- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_transport_receiver.h File Reference

Axis2 description transport receiver interface. More...

`#include <axis2_const.h>`
`#include <axutil_error.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axis2_endpoint_ref.h>`
`#include <axis2_ctx.h>`
`#include <axis2_conf_ctx.h>`

Go to the source code of this file.

## Classes
struct | axis2_transport_receiver_ops
| Description Transport Receiver ops struct Encapsulator struct for ops of axis2_transport_receiver. More...
struct | axis2_transport_receiver
| Transport Reciever struct. More...
## Typedefs
typedef struct axis2_transport_receiver | axis2_transport_receiver_t
typedef struct axis2_transport_receiver_ops | axis2_transport_receiver_ops_t
## Functions
AXIS2_EXTERN void | axis2_transport_receiver_free (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_receiver_init (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, struct axis2_transport_in_desc *transport_in)
AXIS2_EXTERN axis2_status_t | axis2_transport_receiver_start (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_receiver_stop (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_transport_receiver_get_reply_to_epr (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, const axis2_char_t *svc_name)
AXIS2_EXTERN struct axis2_conf_ctx * | axis2_transport_receiver_get_conf_ctx (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_transport_receiver_is_running (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)

## Detailed Description

Axis2 description transport receiver interface.